Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Class SearchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.program.ssaha.SearchException

All Implemented Interfaces:
  Serializable

    public class SearchException

extends Exception

There has been some failure that prevents a search from completing.

Since:
  1.4
Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`SearchException(String message)`
`SearchException(String message, Throwable cause)`
`SearchException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchException

    public SearchException(String message)

### SearchException

    public SearchException(Throwable cause)

### SearchException

    public SearchException(String message,
                           Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD